* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-primary: #020d18;
  --color-secondary: #f1c40f;
  --color-tertiary: #040406;
}

body {
  background-color: var(--color-primary);
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  color: #fff;
  min-height: 100vh;
}

/* General Styling*/
p {
  line-height: 24px;
}

a {
  color: #fff;
  text-decoration: none;
}

ul {
  list-style: none;
}

.text-primary {
  color: var(--color-secondary);
}

.text-secondary {
  color: var(--color-secondary);
}

.text-muted {
  color: #6c757d;
}

.active {
  color: var(--color-secondary);
  font-weight: 700;
}

.back {
  margin-top: 30px;
}

.btn {
  display: inline-block;
  padding: 0.5rem 1rem;
  border: 1px solid var(--color-secondary);
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  background: transparent;
  transition: all 0.3s ease-in-out;
  font-weight: 600;
  border-radius: 0px;
}

.btn:hover {
  background: var(--color-secondary);
  color: #000;
}

.btn:disabled {
  border-color: #ccc;
  cursor: not-allowed;
}

.btn:disabled:hover {
  background: transparent;
  color: #fff;
}

.container {
  width: 100%;
  padding: 0 15px;
  margin: 0 auto;
  max-width: 100%;
}

@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}
@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}
@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}
@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}
@media (min-width: 1400px) {
  .container {
    max-width: 1320px;
  }
}

/* Header Section*/

.main-header {
  padding: 20px 0;
  background-color: var(--color-tertiary);
}

.main-header .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  flex-wrap: wrap;
  gap: 20px;
}

.main-header .logo {
  color: #fff;
  font-size: 25px;
  font-weight: 900;
  text-transform: uppercase;
}

.logo a:hover {
  color: var(--color-secondary);
}

.main-header ul {
  display: flex;
  gap: 20px;
}

.main-header ul li a {
  font-size: 16px;
}

.main-header ul li a:hover {
  color: var(--color-secondary);
}

/* Now Playing Section | Trending Section | Top Rated Section | Upcoming Section */

.backdrop {
  position: fixed;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  z-index: -1;
  opacity: 0.2;
}

.now-playing {
  padding: 60px 0px;
  background: url("../images/showcase-bg.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

section h2 {
  margin: 20px 0;
  text-align: center;
  text-transform: uppercase;
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: var(--color-primary);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 2 / 3;
}

.swiper-rating {
  padding: 10px;
}

/* Search Movies & TV Section */
.search {
  padding: 60px;
  margin-bottom: 40px;
}

.search .container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.search .container h2 {
  margin-bottom: 20px;
}

.search .container form {
  width: 100%;
  max-width: 600px;
}

.search-radio {
  display: flex;
  justify-content: center;
  gap: 20px;
  text-wrap: nowrap;
}

.search-radio input[type="radio"] {
  display: none;
}

.search-radio label {
  padding: 10px 20px;
  background-color: #f1c40f;
  color: #000000;
  border-radius: 5px;
  cursor: pointer;
}

.search-radio input[type="radio"]:checked + label {
  background-color: #000000;
  color: #f1c40f;
}

.search-flex {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 10px;
}

.search .container form input[type="text"] {
  flex: 6;
  width: 100%;
  height: 50px;
  padding: 10px;
  margin-right: 10px;
  border: 1px solid #fff;
  border-radius: 5px;
  background: transparent;
  color: #fff;
}

.search .container form input[type="text"]::placeholder {
  color: #fff;
}

.search .container form input[type="text"]:focus {
  outline: none;
}

.search .container form button {
  flex: 1;
  display: block;
  width: 100%;
  padding: 10px;
  border-radius: 5px;
  height: 50px;
  cursor: pointer;
  background: var(--color-secondary);
  color: #000;
}

.search .container form button:hover {
  background: transparent;
  color: #fff;
}

.pagination {
  margin-top: 20px;
}

.page-counter {
  margin-top: 10px;
}

.alert {
  padding: 10px 20px;
  margin-bottom: 20px;
  border-radius: 5px;
}

.success {
  background: green;
}

.error {
  background: red;
}

/* Popular Movies Section */
.grid {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 10px;
}

@media (min-width: 425px) {
  .grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }
}
@media (min-width: 768px) {
  .grid {
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 30px;
  }
}
@media (min-width: 1024px) {
  .grid {
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 40px;
  }
}

.card {
  transition: 0.3s ease;
}

.card-image {
  position: relative;
  overflow: hidden;
  border: 4px solid white;
  aspect-ratio: 2 / 3;
}

.card-image:hover {
  border: 4px solid var(--color-secondary);
}

.card-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.6);
  color: white;
  font-size: 30px;
  font-weight: 700;
  padding: 10px;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  opacity: 0;
  transition: 0.3s ease;
}

.card-overlay:hover {
  opacity: 1;
}

.card-overlay button {
  margin-top: 20px;
  font-weight: 600;
  font-size: 16px;
}

.card img {
  width: 100%;
}

.card-body {
  margin-top: 10px;
  font-size: 20px;
}

/* Movie Details Section */
.details-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 50px 0px;
  gap: 60px;
}

.details-top img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 768px) {
  .details-top {
    flex-direction: column;
    gap: 30px;
  }
}

.details-top p {
  margin: 20px 0;
}

.details-top .btn {
  margin-top: 20px;
}

.details-bottom li {
  margin: 15px 0;
  padding-bottom: 8px;
  border-bottom: 1px solid #fff;
  border-color: rgba(255, 255, 255, 0.1);
}

.details-cast h2 {
  margin: 50px 0;
  text-align: center;
}

.cast-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 30px;
}

.cast-content p:nth-child(2) {
  margin-top: 6px;
  color: #c9c9c9;
}
.cast-content p a:hover {
  color: var(--color-secondary);
}

.cast-content {
  display: flex;
  align-items: center;
  gap: 10px;
}
.cast-img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  background-color: aqua;
  border: 2px solid #fff;
}

@media screen and (max-width: 1024px) {
  .cast-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media screen and (max-width: 768px) {
  .cast-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Footer Section */
.main-footer {
  background: var(--color-tertiary);
  padding: 20px 0;
  margin-top: 50px;
}

.main-footer .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.main-footer .container .logo {
  color: #fff;
  font-size: 25px;
  font-weight: 700;
  text-transform: uppercase;
}

.main-footer .container .social-links {
  display: flex;
  font-size: 20px;
}

.main-footer .container .social-links a {
  margin-left: 10px;
  color: #fff;
}

.main-footer .container .social-links a:hover {
  color: var(--color-secondary);
}

/* Spinner */
.spinner-btn {
  padding: 15px 30px;
  font-size: 16px;
  font-weight: bold;
  color: #fff;
  background-color: var(--color-secondary);
  border: none;
  border-radius: 5px;
  cursor: not-allowed;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
}

.spinner-btn .dot-1,
.spinner-btn .dot-2,
.spinner-btn .dot-3 {
  display: inline-block;
  width: 10px;
  height: 10px;
  background-color: #fff;
  border-radius: 50%;
  animation: bounce 1s infinite;
}

/* Dot 2 Animation Delay */
.spinner-btn .dot-2 {
  animation-delay: 0.2s;
}

/* Dot 3 Animation Delay */
.spinner-btn .dot-3 {
  animation-delay: 0.4s;
}

/* Animation Keyframes */
@keyframes bounce {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
}
